Skip to Content
veriom

Update architecture uncertainty

PATCH
/v1/workspaces/{workspace_id}/architecture/uncertainties/{uncertainty_id}

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
uncertainty_id*Uncertainty Id
Formatuuid

Request Body

application/json
  1. body
owner_id?|null
resolution_summary?|null
state?|null

Response Body

Successful Response

application/json
  1. response
alternatives*array<>
blocking*Blocking
created_at*Created At
Formatdate-time
detail*Detail
detected_at*Detected At
Formatdate-time
evidence_ids*array<>
field*string|null
id*Id
Formatuuid
last_observed_at*Last Observed At
Formatdate-time
owner_id*|null
reason*UncertaintyReason
Value in"missing_source""missing_signal""stale_evidence""conflicting_evidence""partial_collection""collection_failed""inferred_claim""insufficient_coverage""unsupported_claim"
repository_id*|null
resolution_summary*string|null
resolved_at*|null
scope*UncertaintyScope
Value in"source""entity""relationship""path""answer""decision""report"
snapshot_id*|null
source_keys*array<string>
state*UncertaintyState
Value in"open""investigating""accepted""resolved""superseded"
subject_key*Subject Key
updated_at*Updated At
Formatdate-time
workspace_id*Workspace Id
Formatuuid
Example Request
curl -X PATCH 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture/uncertainties/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "alternatives": [    {      "evidence_ids": [        "973ab5a6-b373-447d-ab9d-bdb660b35afc"      ],      "observed_at": "2019-08-24T14:15:22Z",      "source_keys": [        "string"      ],      "source_refs": [        "string"      ],      "value": "string"    }  ],  "blocking": true,  "created_at": "2019-08-24T14:15:22Z",  "detail": "string",  "detected_at": "2019-08-24T14:15:22Z",  "evidence_ids": [    "973ab5a6-b373-447d-ab9d-bdb660b35afc"  ],  "field": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "last_observed_at": "2019-08-24T14:15:22Z",  "owner_id": "8826ee2e-7933-4665-aef2-2393f84a0d05",  "reason": "missing_source",  "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",  "resolution_summary": "string",  "resolved_at": "2019-08-24T14:15:22Z",  "scope": "source",  "snapshot_id": "163831af-8c1b-4992-a9cf-88c6306604c0",  "source_keys": [    "string"  ],  "state": "open",  "subject_key": "string",  "updated_at": "2019-08-24T14:15:22Z",  "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}